Create payment transactionAsk AIpost https://api.instellix.io/v2/merchant-payment-accounts/{merchantPaymentAccountIdent}/paymentsCreate a new payment transaction on this merchant payment account.Path ParamsmerchantPaymentAccountIdentstringrequiredMerchant payment account ident. Must not be null.Body ParamsbaseAmountobjectrequiredA monetary amount with an amount and a currency.baseAmount objectbatchItemsarray of objects | nullList of batch items that will be updatedbatchItemsADD objectbookingDatedate-timerequiredThe date of the account transaction. ISO 8601 date time format. When no offset is provided (e.g. 2021-03-19T13:34:01), UTC is automatically used. Must not be null.creationDatedate-time | nullThe date of a creation of a payment. ISO 8601 date time format. When no offset is provided (e.g. 2021-03-19T13:34:01), UTC is automatically used.creditDebitIndicatorstringrequiredA description, whether this payment transaction is a DEBIT, removing money from the account or a CREDIT, adding money to the account. Must not be null. Must be one of: CREDITDEBITcustomerSpecificIdentstring | nullIs an optional customer specific ident, that can be used to identify this payment transaction. Size must be between 0 and 255.exchangeRatenumber | null> 0Exchange rate used to calculate original and base amounts. Exchange rate must be provided when the original currency is different from the base currency. The rate should fulfill following calculation: originalAmount / exchangeRate = baseAmount, with an error margin of 0.01. Exchange rate value needs to be expressed with max 5 decimals. E.g.: 4.54321. If an original amount is not provided in a request, special 'self' exchange rate is automatically created with a value of 1.00000. Must be greater than or equal to 0.0. Must be a number with up to 10 integral digits and up to 5 fractional digits. externalIdentstringrequiredlength ≤ 255External reference that needs to be unique within a payment account. Generally it is provided by a Payment Service Provider or a bank. Cannot be amended after the initial POST. Must not be blank. Size must be between 0 and 255.feesarray of objects | nullAny fees imposed on this payment.feesADD objectidentstring | nullUnique identifier of a payment transaction, autogenerated by Nitrobox if omitted. Must have size between 1 and 100 and match with the regular expression '[a-zA-Z0-9_.~-]{1,100}'.originalAmountobject | nullA monetary amount with an amount and a currency.originalAmount object | nullpaymentCategorystringrequiredlength ≤ 255Name of a payment category that this payment is classified to. Must be one of the categories defined in Nitrobox, otherwise the payment will be rejected.Category selection have an influence on how the payment is processed further. Must not be blank. Size must be between 0 and 255.propertiesarray of objects | nullKey-Value-Pairs of properties of a settlement - i.e. 'GVC':'166'propertiesADD objectrecipientstring | nullThe recipient of the payment transfer. Size must be between 0 and 255.senderstring | nullThe sender of the payment transfer. Size must be between 0 and 255.statusstringrequiredThe status this payment transaction is in. Must not be null. Must be one of: RECEIVEDERRORREFUSEDAUTHORIZEDEXPIREDCANCELLEDCAPTUREDCAPTURE_FAILEDSETTLEDREFUNDEDCHARGEBACKtextstring | nullAny additional information about a payment like purpose, description, payment title, etc. This is often used for matching the payment to a document. Size must be between 0 and 1400.valueDatedate-timerequiredThe date on which the account transaction takes effect. ISO 8601 date time format. When no offset is provided (e.g. 2021-03-19T13:34:01), UTC is automatically used. Must not be null.Responses 201The request has been fulfilled, resulting in the creation of a new resource. 4XXerror response for all http error codes in range 4XX 5XXerror response for all http error codes in range 5XXUpdated 7 months ago